#ifndef __TYPES_H_MY
#define __TYPES_H_MY

#include <types.h>

#define IPCERR_EXISTS -3
#define IPCERR_INVALIDID -2
#define IPCERR_NOIPC -4
#define IPCERR_NOSPACE -5
#define IPCERR_NODATA -6
#define IPCERR_MEMUSED -7

#define MAX_IBLOCKS 100

#define IPC_EX 1

#define ENOPERM -8

#define UNDEF -1

typedef int ipc_id;
typedef int pid_t;

struct inode_t {
  int type;
  int size;
  int links_cnt;
  int blocks_cnt;
  int data_blocks[MAX_IBLOCKS];
};

#endif



